Bug 828714 - SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from 'create' accesses on the lnk_file trendchart.dll.
SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from 'create' a...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:ffd123c5f13c00751bf0cbe01bf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 04:59 EDT by markusN
Modified: 2012-06-30 17:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-30 17:51:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description markusN 2012-06-05 04:59:56 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.7-1.fc17.x86_64
time:           Tue 05 Jun 2012 10:59:38 AM CEST

description:
:SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from 'create' accesses on the lnk_file trendchart.dll.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that plugin-container should be allowed create access on the trendchart.dll lnk_file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep plugin-containe /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                unconfined_u:object_r:mozilla_plugin_tmp_t:s0
:Target Objects                trendchart.dll [ lnk_file ]
:Source                        plugin-containe
:Source Path                   /usr/lib64/xulrunner-2/plugin-container
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           xulrunner-12.0-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-128.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.7-1.fc17.x86_64 #1 SMP
:                              Mon May 21 22:32:19 UTC 2012 x86_64 x86_64
:Alert Count                   2
:First Seen                    Tue 05 Jun 2012 10:59:05 AM CEST
:Last Seen                     Tue 05 Jun 2012 10:59:05 AM CEST
:Local ID                      3c35bd19-0b2a-4bc0-bd5b-043beca12952
:
:Raw Audit Messages
:type=AVC msg=audit(1338886745.497:239): avc:  denied  { create } for  pid=27710 comm="plugin-containe" name="trendchart.dll" scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:mozilla_plugin_tmp_t:s0 tclass=lnk_file
:
:
:type=SYSCALL msg=audit(1338886745.497:239): arch=x86_64 syscall=symlink success=no exit=EACCES a0=7f0c670a6080 a1=7f0c670a60c0 a2=8 a3=0 items=0 ppid=27249 pid=27710 auid=1338 uid=1338 gid=500 euid=1338 suid=1338 fsuid=1338 egid=500 sgid=500 fsgid=500 tty=(none) ses=2 comm=plugin-containe exe=/usr/lib64/xulrunner-2/plugin-container subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:Hash: plugin-containe,mozilla_plugin_t,mozilla_plugin_tmp_t,lnk_file,create
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-06-22 06:44:20 EDT
Fixed in selinux-policy-3.10.0-133.fc17.noarch
Comment 2 Fedora Update System 2012-06-26 17:47:21 EDT
selinux-policy-3.10.0-134.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-134.fc17
Comment 3 Fedora Update System 2012-06-27 23:37:10 EDT
Package selinux-policy-3.10.0-134.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-134.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10008/selinux-policy-3.10.0-134.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-06-30 17:51:09 EDT
selinux-policy-3.10.0-134.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.